> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new project



## OpenAPI

````yaml post /projects
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /projects:
    post:
      tags:
        - Projects
      summary: Create a new project
      operationId: createProject
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProjectRequest'
      responses:
        '200':
          description: The created project
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
      x-codeSamples:
        - lang: python
          label: createProject
          source: >-
            import honeyhive

            from honeyhive.models import components


            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )



            res =
            s.projects.create_project(request=components.CreateProjectRequest(
                name='<value>',
            ))


            if res.project is not None:
                # handle response
                pass
        - lang: typescript
          label: createProject
          source: |-
            import { HoneyHive } from "honeyhive";

            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });

              const res = await sdk.projects.createProject({
                name: "<value>",
              });

              if (res.statusCode == 200) {
                // handle response
              }
            }

            run();
components:
  schemas:
    CreateProjectRequest:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
      required:
        - name
    Project:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
      required:
        - name
        - description
        - type
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````